"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.saveCookiesFromHeader = saveCookiesFromHeader;
var _nodeModule = require("node:module");
const _require = 'require' in globalThis ? globalThis.require : (0, _nodeModule.createRequire)(import.meta.url);
function saveCookiesFromHeader({
  cookieOptions,
  cookies,
  requestUrl
}) {
  const {
    async_UNSTABLE = false,
    jar
  } = cookieOptions;
  const setCookieSync = async_UNSTABLE ?
  // eslint-disable-next-line @typescript-eslint/no-var-requires
  _require('deasync')(jar.setCookie.bind(jar)) : jar.setCookieSync.bind(jar);
  for (const cookie of [cookies].flat()) {
    if (cookie == null) {
      continue;
    }
    setCookieSync(cookie, requestUrl, {
      ignoreError: true
    });
  }
}