"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateCookieOptions = validateCookieOptions;
var _nodeModule = require("node:module");
const _require = 'require' in globalThis ? globalThis.require : (0, _nodeModule.createRequire)(import.meta.url);
function validateCookieOptions(
// eslint-disable-next-line @typescript-eslint/no-explicit-any
opts, resolver = _require) {
  if (!('jar' in opts)) {
    throw new TypeError('invalid cookies.jar');
  }
  if (opts.async_UNSTABLE) {
    try {
      resolver('deasync');
    } catch (_err) {
      throw new Error('you should install deasync library when cookies.async_UNSTABLE is true.');
    }
  } else {
    if (!opts.jar.store.synchronous) {
      throw new TypeError('you should set cookies.async_UNSTABLE to true for using the asynchronous cookie store.');
    }
  }
}